/**
 * Innovation > future_mobility.css > ko
 * version : 20260211
*/

/* inno-detail */
.detail-visual + .inno-detail__inner .inno-detail__elem{margin-top:60px;}
.detail-visual + .inno-detail__inner .inno-detail--img{margin-top:100px;}
.inno-detail__contents .inno-detail__section:nth-child(1){margin-bottom:100px; padding-bottom:0; border-bottom:1px solid rgba(0, 0, 0, 0.2);}
.inno-detail__contents .inno-detail__section:nth-child(4){margin-bottom:100px; border-bottom:1px solid rgba(0, 0, 0, 0.2);}
.inno-detail__contents .inno-detail__section:last-child{padding-bottom:200px;}
.inno-detail__contents .inno-detail__section:last-child .inno-detail__elem{margin-top:100px;}

/* swiper-video */
.swiper-video__wrap{max-width:1070px; margin:0 auto; padding:100px 0;}
.swiper-video__wrap .swiper{margin:100px 0 60px; padding-bottom:22px;}
.swiper-video__wrap .swiper .swiper-slide::before{content:''; position:absolute; left:0; right:0; top:0; bottom:0; z-index:1;}
.swiper-video__wrap .swiper .swiper-slide::after{content:''; position:absolute; left:0; right:0; bottom:50px; height:50px; background:linear-gradient(to top, rgba(0,0,0,0.2), transparent 60%);}
.swiper-video__wrap .swiper video{width:100%; height:auto;}
.swiper-video__wrap .swiper .desc{margin-top:20px; font-family:'HyundaiKRMedium'; font-size:17px; line-height:30px; letter-spacing:-0.34px;}
.swiper-video__wrap .swiper .desc::before{content:''; display:inline-block; width:13px; height:12px; margin-right:10px; background:url('/content/dam/hyundai/ww/en/images/company/innovation/future-mobility/icon-arrow-top.svg') no-repeat 0 0; background-size:100%;}

/* swiper */
.swiper-button-prev:after, .swiper-button-next:after{display:none;}
.swiper-button-next, .swiper-button-prev{width:30px; height:60px; margin-top:-80px; background:url('/content/dam/hyundai/ww/en/images/company/innovation/future-mobility/btn-arrow-pc.svg') no-repeat center center; background-size:17px 35px;}
.swiper-button-prev{transform:rotate(180deg);}

/* detail-hashtag */
.detail-hashtag__img{position:relative; display:flex; justify-content:space-between;}

/* inno-article */
.inno-article__row:nth-of-type(1){justify-content:end;}
.inno-article__row:nth-of-type(1) .inno-detail__img{position:absolute; left:0; top:0; margin-left:-205px;}
.inno-article__row:nth-of-type(1) .inno-detail__elem{max-width:627px;}
.inno-article--single{margin-bottom:84px;}
.inno-article--single .inno-article__row{display:block; min-height:auto;}
.inno-article--single .inno-article__row:first-child{min-height:450px; padding-left:440px;}
.inno-article--single .inno-article__row .inno-detail__elem{max-width:100%;}
.inno-article--single .inno-detail__tit{padding:0; border:none;}
.inno-article--single .inno-article__row .inno-detail__img{margin-left:-400px;}

@media print, screen and (min-width: 741px) and (max-width: 20000px) {
    /* motion */
    .detail-hashtag__txt[data-type="onActive"],
    .detail-hashtag .inno-detail__elem[data-type="onActive"],
    .inno-article__row[data-type="onActive"]{transform:translateY(20px); opacity:0; transition:all 0.4s ease-in-out;}
    .detail-hashtag__txt[data-type="onActive"].active,
    .detail-hashtag .inno-detail__elem[data-type="onActive"].active,
    .inno-article__row[data-type="onActive"].active{transform: translateY(0); opacity: 1;}

    /* tab */
    .inno-detail__tab li{min-width:45px;}

    /* section */
    .inno-detail__section:nth-child(2){min-height:3795px;}
    .inno-detail__section:nth-child(3){min-height:3454px;}

    /* inno-detail */
    .inno-detail__list + .inno-detail__elem,
    .inno-detail__elem + .inno-detail__elem{margin-top:60px;}
    .inno-detail__img-wrap{margin-bottom:60px;aspect-ratio:112/45;}

    /* detail-hashtag */
    .detail-hashtag{margin:100px 0;}
    .detail-hashtag .inno-detail__elem{margin-bottom:60px;}
    .detail-hashtag__txt{position:absolute; left:50%; bottom:0; margin-left:207px; z-index:1;}
    .swiper-video__wrap + .detail-hashtag{margin:0;}
    .swiper-video__wrap + .detail-hashtag .inno-detail__elem{margin:60px 0 0;}
    .swiper-video__wrap + .detail-hashtag .detail-hashtag__txt{position:absolute; left:0; margin:0;}
    .swiper-video__wrap + .detail-hashtag .detail-hashtag__img{flex-direction:row-reverse;}

    /* inno-article */
    .inno-article__elem .swiper-pagination,
    .inno-article__elem .swiper-button-prev, .inno-article__elem .swiper-button-next{display:none;}
    
    /* img-item */
    .img-item--type1{min-height:260px;margin-top:60px;}
    .img-item--type1 .swiper-wrapper{display:flex; gap:40px;}
    .img-item--type1 .swiper-slide{width:auto;}
    
    .img-item--type2{display:flex; gap:20px; margin-top:60px;}
    .img-item--type2 .inno-detail__img:last-child{padding-top:100px;}
    .img-item--type2 .inno-detail__desc{margin-top:60px;}
}

/* mobile */
@media screen and (min-width:0) and (max-width:740px){
    /* inno-detail */
    .inno-detail__contents .inno-detail__section:nth-child(1){margin-bottom:50px;}
    .inno-detail__contents .inno-detail__section:nth-child(4){margin-bottom:50px; padding:50px 0;}
    .inno-detail__contents .inno-detail__section:last-child{padding-bottom:0;}
    .inno-detail__contents .inno-detail__section:last-child .inno-detail__elem{margin-top:50px;}
    .detail-visual + .inno-detail__inner .inno-detail__elem,
    .inno-detail__elem + .inno-detail__elem{margin-top:30px;}
    .detail-visual + .inno-detail__inner .inno-detail--img{margin-top:50px; aspect-ratio:165/92;}

    /* swiper-video */
    .swiper-video__wrap{padding:50px 0;}
    .swiper-video__wrap > .inno-detail__desc{padding:0 15px;}
    .swiper-video__wrap .swiper{margin:50px 15px 30px; padding-bottom:15px;}
    .swiper-video__wrap .swiper .desc{margin-top:7px; font-size:10px; line-height:15px; letter-spacing:-0.2px;}
    .swiper-video__wrap .swiper .desc::before{width:8px; height:7px; margin-right:5px;}
    .swiper-video__wrap .swiper{aspect-ratio:330/223;}
    .swiper-video__wrap .swiper .swiper-slide{aspect-ratio:110/69;}
    .swiper-video__wrap .swiper .swiper-slide video{aspect-ratio:297/167;}

    /* swiper */
    .swiper-video__wrap .swiper .swiper-slide::after{background:#fff; left:auto; bottom:0; width:2px; height:100%;}
    .swiper-button-next, .swiper-button-prev{width:15px; height:30px; margin-top:-35px; background-image:url('/content/dam/hyundai/ww/en/images/company/innovation/future-mobility/btn-arrow-m.svg'); background-size:6px 23px;}

    /* inno-detail */
    .inno-detail__img-wrap{margin-bottom:30px;aspect-ratio:165/92;}

    /* detail-hashtag */
    .detail-hashtag__img{padding:50px 0; flex-direction:column;}
    .detail-hashtag__txt{margin:30px 0;}
    .detail-hashtag .inno-detail__elem{margin-top:50px;}
    .swiper-video__wrap + .detail-hashtag .detail-hashtag__img{padding:0; flex-direction:column;}
    .swiper-video__wrap + .detail-hashtag .inno-detail__elem{margin-top:30px;}

    /* inno-article */
    .inno-article__row:nth-of-type(1) .inno-detail__img{position:static; margin:0;}
    .inno-article--single{margin-bottom:50px;}
    .inno-article--single .inno-article__row:first-child{min-height:auto; padding:0;}
    .inno-article--single .inno-detail__tit{margin-top:30px;}
    .inno-article__row .inno-detail__img,
    .inno-article__row .inno-detail__img img{aspect-ratio:165/92;}

    /* img-item */
    .img-item--type1{position:relative; margin-top:50px; padding-bottom:37px;}
    .img-item--type2{margin-top:50px;}
    .img-item--type2 .inno-detail__img + .inno-detail__img{margin-top:10px;}
    .img-item--type2 .inno-detail__img{aspect-ratio:330/163;}
    .img-item--type2 .inno-detail__desc{margin-top:30px;}

    /* inno-detail--bg */
    .inno-detail--bg .inno-detail__inner > img{aspect-ratio:165/92;}
}